Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008045opensim[REGION] Physics Enginespublic2016-10-29 13:562016-11-12 19:46
ReporterDanger Lytton 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusnewResolutionopen 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0008045: [ubODE] physics settings on meshes are not surviving a region restart
DescriptionThe physics settings on meshes are not surviving a region restart.

I can change the physics back to Prim on the build, I have to change it to Convex Hull first then back to Prim. The mesh then behaves correctly. After a region restart the mesh will revert back to none. The settings says it is still Prim but it behaves as if its set at None. I again change it to Convex Hull and then back to Prim. Even meshes that are only Convex Hull will become phantom.

I have tried using Firestorm and Singularity. I tried manually persisting changes (backup). I have tried setting each object separately and all together as a linked set. Makes no difference. Some or all of the meshes lose the physics setting.

The issue is not consistent. Different meshes will lose the settings with each restart.

I am using latest region update. Regions are set to ubode physics and meshing. It is happening here in OS and also on my Shipyards Grid. I use same ini settings on both grids. I first noticed the issue about a week ago.
Steps To ReproduceSet all meshes with proper physics uploads to Prim setting. Restart region. The meshes have reverted to None in physics settings and behave as though Phantom.
Additional InformationThis is happening on my regions in OS Grid and my own Shipyards Grid. This affects the ubode regions.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineubODE
Script Engine
EnvironmentMono / Linux64
Mono VersionOther
Viewersingularity and firestorm
Attached Files

- Relationships

-  Notes
(0031216)
UbitUmarov (administrator)
2016-10-30 04:16

i was not able to repo with my simple test meshs on my test region
(0031217)
aiaustin (developer)
2016-10-30 14:25
edited on: 2016-10-31 02:26

UbitUmarov... ubODE ought to be added to the physics engine selection options for Mantis issue reporting... as Danger had to use Physics Engine = "Other" in the report about a ubODE issue.

(0031218)
Danger Lytton (reporter)
2016-10-30 16:42
edited on: 2016-10-30 16:56

mono version is the latest mono-complete for ubuntu 14.01 - used 'other' because i am not sure what version installed - probably 3.2

(0031219)
djphil (reporter)
2016-10-31 04:51

Hello, i would like to report that i have had similar problems (in the past).

1) I imported mesh with BulletSim and then i switch to ubOde.
2) also specified that in 2 cases, and bullet ubOde, i used the "Analyse" in import Step 3.

Physics Engine does not really like these manipulations ...

1) don't use "Analyse" button (I have not seen it anywhere specify).
2) don't switch physics engine (I have not seen it anywhere specify).

@aiaustin: I agree with you, in fact i had already asked in another mantis ...
(0031260)
nixnerd (reporter)
2016-11-06 08:21
edited on: 2016-11-06 08:38

I can confirm this exact issue is still occurring, it appears to affect mesh which as been imported both pre/post OpenSim 0.9.1

I'm using OpenSim 6956ada 2016-11-06 04:29:01 +0000 running under ubuntu 16.04 and mono Mono JIT compiler version 4.2.1 (Debian 4.2.1.102+dfsg2-7ubuntu4). I'm also using Ubode physics.

It's my finding that region restarts cause loss of collision on meshes, and toggling the "Phantom" edit button on the affected mesh will fix the issue, albeit temporarily - until the next sim restart occurs.

Using the "backup" option in the sim console, appears not to save or fix any changes in the mesh phantom settings (if they have been changed) & the issue repeatedly and consistently appears over sim restarts.

However, after further experimentation, I have noticed changing the map module in OpenSim.ini from Warp3DImageModule to MapImageModule appears to have fixed the issue, for me.

(0031261)
UbitUmarov (administrator)
2016-11-06 11:28

I still can't repo this, and fail to see any relation btw map and physics :(
about djphil cement:
Mesh upload is independent of the selected physics engine.
Physics engines just read them (naturally testing the mesh after upload does depend on the engine in use).
Changing engine will not change the mesh, just how it is used.
Analyze options change the mesh a lot viewer side (holes can be closed etc). For ubOde they had extra processing region side, increasing the chance of problems, but so far do seem to work.

just let me remember that on Linux ( from wiki)
"
In Linux you should consider using included shell script, opensim-ode.sh or type ulimit -s 262144 before running mono OpenSim.exe if you plan on having a large number of physics objects (each avatar is a physics object, as well as those which have the physics flag set on the simulator). The ulimit -s 262144 in Linux protects you against stack collisions and corrupted memory when there are a large amount of physical objects roaming around.
"
this is valid for both ubOde and ODE, but not doing it usually is a very visible segmentation fault crash.
ubOde does its own cache of meshs in bin/MeshCache this can be deleted before restart in case of problems.
(0031262)
UbitUmarov (administrator)
2016-11-06 11:39

does that issue happens with any mesh or only with meshs that only display physics shape type NONE and CONVEX on viewer ?
(0031264)
Danger Lytton (reporter)
2016-11-07 05:27

@ubit - for me it happens for all meshes
(0031270)
UbitUmarov (administrator)
2016-11-11 20:00

found a timing issue on ubOde that can explain this problems
pushed a fix, please let me know it works
(0031275)
Danger Lytton (reporter)
2016-11-12 19:46

After installing the patch the issue appears to be resolved. I made numerous region restarts. All meshes retained their settings.

- Issue History
Date Modified Username Field Change
2016-10-29 13:56 Danger Lytton New Issue
2016-10-30 04:16 UbitUmarov Note Added: 0031216
2016-10-30 14:20 aiaustin Summary physics settings on meshes are not surviving a region restart => [ubobe] physics settings on meshes are not surviving a region restart
2016-10-30 14:21 aiaustin Summary [ubobe] physics settings on meshes are not surviving a region restart => [ubODE] physics settings on meshes are not surviving a region restart
2016-10-30 14:25 aiaustin Note Added: 0031217
2016-10-30 16:42 Danger Lytton Note Added: 0031218
2016-10-30 16:42 Danger Lytton Additional Information Updated View Revisions
2016-10-30 16:56 Danger Lytton Note Edited: 0031218 View Revisions
2016-10-31 02:26 aiaustin Note Edited: 0031217 View Revisions
2016-10-31 02:26 aiaustin Note Edited: 0031217 View Revisions
2016-10-31 04:51 djphil Note Added: 0031219
2016-10-31 05:26 melanie Physics Engine Other => ubODE
2016-10-31 05:28 melanie Product Version => master (dev code)
2016-11-06 08:21 nixnerd Note Added: 0031260
2016-11-06 08:38 nixnerd Note Edited: 0031260 View Revisions
2016-11-06 11:28 UbitUmarov Note Added: 0031261
2016-11-06 11:39 UbitUmarov Note Added: 0031262
2016-11-07 05:27 Danger Lytton Note Added: 0031264
2016-11-11 20:00 UbitUmarov Note Added: 0031270
2016-11-12 19:46 Danger Lytton Note Added: 0031275


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker